#include <crypt/BigInt64.hpp>
#include <hash.hpp>
#include <myheader.h>
#include <iostream>
int main(){
    std::mt19937_64 gen(54);
    BigInt n(2);
    unsigned int i = 1;
    auto t1 = std::nanoTime();
    n = n.modPow(BigInt(gen, 31), secure_prime);
    std::cout << n.toString() << std::endl;
    auto t2 = std::nanoTime();
    std::cout << sha512(n).hexString() << std::endl;
}
